//package com.huaching.k8s.websocket;
//
//import io.fabric8.kubernetes.client.KubernetesClient;
//import io.fabric8.kubernetes.client.dsl.LogWatch;
//import org.springframework.beans.BeanUtils;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//import org.springframework.web.reactive.socket.WebSocketHandler;
//import org.springframework.web.reactive.socket.WebSocketSession;
//import reactor.core.publisher.Mono;
//import sun.rmi.runtime.Log;
//
//import java.io.IOException;
//
//@Component
//public class EchoHandler implements WebSocketHandler {
//
//    @Autowired
//    private KubernetesClient kubernetesClient;
//
//    @Override
//    public Mono<Void> handle(final WebSocketSession session) {
//
//        LogWatch log = kubernetesClient.pods().inNamespace("huaching-dev").withName("gateway-7848b9cd89-vr6dv").tailingLines(10).watchLog();
//
//        // 从“管道输入流”读取>1024个字节时，就停止读取
//        Mono<Void> send = null;
//        int total=0;
//        while(true) {
//            byte[] buf = new byte[1024];
//            try {
//                int len =  log.getOutput().read(buf);
//                total += len;
//                // 若读取的字节总数>1024，则退出循环。
//               // log.getOutput().close();
//                session.textMessage(new String(buf,0,len));
//            } catch (IOException e) {
//                break;
//            }
//        }
//
//
//        return session.send(
//                session.receive()
//                        .map(msg -> session.textMessage(
//                                "服务端返回：小明， " + msg.getPayloadAsText())));
//    }
//}